> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/finpay-money/linkage/customer-top-up/account-inquiry.md).

# Account Inquiry

To perform top up into an e-money account, you need to check the existing account balance, before performing top up. Using this account inquiry response you will get the min and max amount of top up for that particular account.

### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

```
Service Code: 37
```

| Environment | Method | URL                                                         |
| ----------- | ------ | ----------------------------------------------------------- |
| Development | POST   | <https://snapstag.finnet.co.id/v1.0/emoney/account-inquiry> |
| Production  | POST   | <https://snap.finnet.co.id/v1.0/emoney/account-inquiry>     |

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name               | Type                                                           | Mandatory | Min Length | Max Length | Description                                       |
| -- | ------------------ | -------------------------------------------------------------- | --------- | ---------- | ---------- | ------------------------------------------------- |
| 1  | partnerReferenceNo | String                                                         | M         | 1          | 64         | Transaction identifier on service consumer system |
| 2  | customerNumber     | String                                                         | M         | 1          | 16         | Customer phone number with 08xx format            |
| 3  | amount             | [Object](/api-reference/appendix/json-object/amount-object.md) | M         | 1          | 2          | Transaction Amount                                |
| 4  | transactionDate    | String                                                         | M         | 1          | 5          | YYYY-MM-DDThh:mm:ssZ format                       |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
  "partnerReferenceNo": "78912343452347893",
  "customerNumber": "081977817902",
  "amount": {
    "value": "10000.00",
    "currency": "IDR"
  },
  "transactionDate": "2022-11-15T14:56:11+07:00"
}
```

### Body Response <a href="#body-response" id="body-response"></a>

| No | Name               | Type                                                               | Mandatory | Min Length | Max Length | Description                                       |
| -- | ------------------ | ------------------------------------------------------------------ | --------- | ---------- | ---------- | ------------------------------------------------- |
| 1  | responseCode       | [Enum](/api-reference/appendix/enumeration/response-code-list.md)  | M         | 1          | 7          | BI SNAP Response Code.                            |
| 2  | responseMessage    | String                                                             | M         | 1          | 150        | BI SNAP Response Message.                         |
| 3  | referenceNo        | String                                                             | O         | 1          | 64         | Transaction identifier on service provider system |
| 4  | partnerReferenceNo | String                                                             | O         | 1          | 64         | Transaction identifier on service consumer system |
| 5  | customerNumber     | String                                                             | O         | 1          | 64         | Masked customer phone number with 08xx format     |
| 6  | customerName       | String                                                             | M         | 1          | 255        | Masked customer account name                      |
| 7  | minAmount          | [Object](/api-reference/appendix/json-object/minamount-object.md)  | O         | 1          | 2          | Detail of minimum amount transaction              |
| 8  | maxAmount          | [Object](/api-reference/appendix/json-object/maxamount-object.md)  | O         | 1          | 2          | Detail of maximal amount transaction              |
| 9  | amount             | [Object](/api-reference/appendix/json-object/amount-object.md)     | O         | 1          | 2          | Detail of amount transaction                      |
| 10 | feeAmount          | [Object](/api-reference/appendix/json-object/fee-amount-object.md) | O         | 1          | 2          | Detail of fee amount transaction                  |
| 11 | feeType            | String                                                             | O         | 1          | 25         | Partner fee type                                  |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
  "responseCode": "2003700",
  "responseMessage": "Request has been processed successfully",
  "referenceNo": "620221116090342222708",
  "partnerReferenceNo": "78912343452347892",
  "customerNumber": "XXXXXXXX7902",
  "customerName": "sa**m",
  "minAmount": {
    "value": "10000.00",
    "currency": "IDR"
  },
  "amount": {
    "value": "10000.00",
    "currency": "IDR"
  },
  "feeAmount": {
    "value": "0.00",
    "currency": "IDR"
  },
  "feeType": "Admin fee"
}
```

### Response Code & Message <a href="#response-code--message" id="response-code--message"></a>

The table below lists response codes and messages for the Account Inquiry API.

| No | HTTP Code | Code    | Message (Indonesian)            |
| -- | --------- | ------- | ------------------------------- |
| 1  | 200       | 2003700 | Successful                      |
| 2  | 400       | 4003700 | Bad request                     |
| 3  | 400       | 4003701 | Invalid field format {field}    |
| 4  | 400       | 4003702 | Invalid mandatory field {field} |
| 5  | 401       | 4013701 | Invalid token (B2B)             |
| 6  | 401       | 4013700 | Unauthorised. \[Reason]         |
| 7  | 403       | 4033701 | Feature not allowed             |
| 8  | 403       | 4033704 | Activity count limit exceeded   |
| 9  | 404       | 4043708 | Invalid merchant                |
| 10 | 500       | 5003700 | General error                   |
| 11 | 504       | 5043700 | Timeout                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-money/linkage/customer-top-up/account-inquiry.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
